Skip to main content
`Ctrl`+`K`

# PetscStackViewSAWs

Publish PETSc’s current debug call stack through the SAWs (Scientific Application Web server) so it can be inspected from a remote browser

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStackViewSAWs(void)

Logically Collective on `PETSC_COMM_WORLD`

## Note

Only MPI rank 0 publishes; other ranks immediately return success. In non-debug builds the stack contents are not published but the call still succeeds.

## See Also

`PetscStackView()`, `PetscStackSAWsViewOff()`, `PetscObjectSAWsViewOff()`

## Level

developer

## Location

src/sys/error/pstack.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages